<?php
	if (!defined("GOOGLE_API_KEY")) {
		define("GOOGLE_API_KEY", "ABQIAAAA1XbMiDxx_BTCY2_FkPh06RRaGTYH6UMl8mADNa0YKuWNNa8VNxQEerTAUcfkyrr6OwBovxn7TDAH5Q");
	}
	if (!defined("MAPS_FIX_HEIGHT")) {
		define("MAPS_FIX_HEIGHT", 65);
	}
	require("__include-common.php");
	require("../account/__logincheck.php");
	require("../__common__/include-common-mp-list.php");
	require("list-my-add-filter.php");
	require("maps-include.php");
	if (isset($_GET['all'])) {
		$_SESSION['schedule_maps_all'] = $_GET['all'];
	}
	_account_change($_GET['uid']);
	$arg_pool_prefix = "calendar_schedule";
	$http_arg = array();
	$http_arg['cat'] = '';				// mp_list 必須
	$http_arg['key'] = '';				// mp_list 必須
	$http_arg['selY'] = '';
	$http_arg['selM'] = '';
	$http_arg['selD'] = '';
	$http_arg['toY'] = '';
	$http_arg['toM'] = '';
	$http_arg['toD'] = '';
	$item_tbl[] = array(	"表示名"=>"件名",	"列名"=>"c_subject",
				"type"=>"text", "size"=>20, "ime-mode"=>"active", "文字検索"=>"Y");
	$item_tbl[] = array(	"表示名"=>"スケジュール本文",	"列名"=>"c_memo",
				"type"=>"textarea", "cols"=>46, "rows"=>3, "文字検索"=>"Y");

	_GET_to_http_arg_pool($http_arg, $arg_pool_prefix, 'selY,selM,selD,toY,toM,toD', false);
	html_header(HTML_TITLE, '', '', ' onload="init()" onunload="GUnload()"', '', '__html-my-header-maps-alone.php');
//	page_header();
//	contents_header();
	$con = my_mysql_connect(_DB_SCHEMA);

	maps_proc($http_arg, $item_tbl);

	html_footer();
	exit();
?>
